module Xomponent
  class Style
    attr_writer :s
    def initialize
      @s = ''
    end

    def reset!
      @s = "body{margin:0;font-family:sans-serif}"
    end

    def add(selector, styles)
      styles_str = styles.map do |name, value|
        "#{name}:#{value}"
      end.join(';')

      @s += "#{selector}{#{styles_str}}"
    end

    def render
      @s
    end
  end
end
