require 'socket'

module Xomponent
  class Server
    def initialize(port, content)
      server = TCPServer.new port.to_i
      loop do
        client = server.accept
        headers = []
        while header = client.gets
          break if header.chomp.empty?
          headers << header.chomp
        end
        p headers

        client.puts "HTTP/1.0 200 OK"
        client.puts "Content-Type: text/html"
        client.puts
        client.puts content.render
        client.close
      end
    end
  end
end
